HepMC3 event record library: Data Fields

HepMC3 event record library

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - f -

- failed() : AnalysisExample, Reader, ReaderAscii, ReaderAsciiHepMC2, ReaderGZ< T >, ReaderHEPEVT, ReaderLHEF, ReaderMT< T, m_number_of_threads >, ReaderPlugin, Readerprotobuf, ReaderRoot, ReaderRootTree, Writer, WriterAscii, WriterAsciiHepMC2, WriterDOT, WriterGZ< T, C >, WriterHEPEVT, WriterPlugin, Writerprotobuf, WriterRoot, WriterRootTree
- fAnalysisCanvas : HepMC3ViewerFrame
- fAnalysisH : HepMC3ViewerFrame
- fButtonFrame : HepMC3ViewerFrame
- fChooseInput : HepMC3ViewerFrame
- fClearEventCache : HepMC3ViewerFrame
- fCurrentEvent : HepMC3ViewerFrame
- Feature() : Feature< Feature_type, Dummy >, Feature< Feature_type, typename std::enable_if< std::is_floating_point< Feature_type >::value, void >::type >, Feature< Feature_type, typename std::enable_if< std::is_integral< Feature_type >::value, void >::type >
- fEmbAnalysisCanvas : HepMC3ViewerFrame
- fEmbEventImageCanvas : HepMC3ViewerFrame
- fEventImageCanvas : HepMC3ViewerFrame
- fEventsCache : HepMC3ViewerFrame
- fExit : HepMC3ViewerFrame
- fGraphImage : HepMC3ViewerFrame
- file : Reader, Writer
- file_rdstate() : Reader
- filename : EventFile
- findXMLTags() : XMLTag
- first_child() : HEPEVT_Wrapper, HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Runtime_Static, HEPEVT_Wrapper_Template< max_particles, momentum_type >
- first_parent() : HEPEVT_Wrapper, HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Runtime_Static, HEPEVT_Wrapper_Template< max_particles, momentum_type >
- fix_daughters() : HEPEVT_Wrapper, HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Runtime_Static, HEPEVT_Wrapper_Template< max_particles, momentum_type >
- FloatAttribute() : FloatAttribute
- flush() : WriterAscii, WriterAsciiHepMC2, WriterDOT
- fMainFrame : HepMC3ViewerFrame
- fNextEvent : HepMC3ViewerFrame
- forced_flush() : WriterAscii, WriterAsciiHepMC2, WriterDOT
- forceoldformat : GenHeavyIon
- FourVector() : FourVector
- fPreviousEvent : HepMC3ViewerFrame
- fReader : HepMC3ViewerFrame
- from_string() : AssociatedParticle, Attribute, BoolAttribute, CharAttribute, DoubleAttribute, FloatAttribute, GenCrossSection, GenHeavyIon, GenPdfInfo, HEPEUPAttribute, HEPRUPAttribute, IntAttribute, LongAttribute, LongDoubleAttribute, LongLongAttribute, StringAttribute, UIntAttribute, ULongAttribute, ULongLongAttribute, VectorCharAttribute, VectorDoubleAttribute, VectorFloatAttribute, VectorIntAttribute, VectorLongDoubleAttribute, VectorLongIntAttribute, VectorLongLongAttribute, VectorStringAttribute, VectorUIntAttribute, VectorULongAttribute, VectorULongLongAttribute
- fscheme : ProcInfo